#ifndef CONFIGVIEW_H
#define CONFIGVIEW_H


// ConfigView.h
// Interface for the ConfigView class - a custom BView to handle the controls
//  for the configuration menu in the screensaver


#include <stdio.h>
#include <Slider.h>
#include <CheckBox.h>
#include <StringView.h>


// Strings for credits in configuration view
#define CREDITS_TITLE "Hopalong Fractals"
#define CREDITS_VERSION "Version 0.20 -- 2003.09.27"
#define CREDITS_AUTHOR "By: Jon Pimble -- fatrat@fat-rat.com"


// Constants to control spark behavior, etc.
#define MIN_TICKS 100
#define MAX_TICKS 10000
#define DEFAULT_TICKS 5000


class ConfigView : public BView
{
  private:
    BSlider *ticks_slider;
    BStringView *title_view, *version_view, *credits_view;  
    
    int32* ticks;
    bool is_attached;
    
  public:
    // Constructor
    ConfigView(BRect frame, const char *name, int32* new_ticks);
    
    // Override these virtual functions inherited from BView
    void AttachedToWindow();
    void MessageReceived(BMessage *msg);
};



#endif


